numeric abs (numeric x)                                                        /* Independent, "pure" function */
        for (numeric : int, int64, int+-, int64+-, 
                       fixed, fixed64, float, float64)
{
  return (x > 0) ? x 
                 : x * (-1);
}